Skip to main content

Announcements

Announcement List​

Use this API to get all announcements received by a Trainee.

 GET /announcement/trainee-announcement-list Try now

Query string parameters​

FieldTypeDescription
firstRecord
required
integerFirst record to return. Default: 1
count
required
integerNumber of records to be returned starting from the first record. Default: 20, Max count limit: 50
qstringfilter data by title and description

For general error details, click here.

Announcement Details​

Use this API to get details of an announcement.

 GET /trainee-announcement-detail/{announcementId}/{announcementSentId} Try now

Path parameters​

FieldTypeDescription
announcementId
required
integerThe announcement ID
announcementSentId
required
integerThe announcement sent ID

For general error details, click here.

Frontend Announcement Details​

Use this API to get the list of announcements for frontend websites.

 GET /announcement/front-end-announcement-list Try now

Path parameters​

FieldTypeDescription
firstRecord
required
integerFirst record to return. Default: 1
count
required
integerNumber of records to be returned starting from the first record. Default: 20, Max count limit: 100
type
required
integer1-web, 2-microsite
qstringfilter data by title and description

For general error details, click here.